Storyden
Accounts

Account Warning List

List internal moderation warnings for an account. Warnings are never public. Members may view their own warning history, and staff with the `MANAGE_WARNINGS` permission may review warnings for any account.

GET/accounts/{account_id}/warnings

List internal moderation warnings for an account. Warnings are never public. Members may view their own warning history, and staff with the MANAGE_WARNINGS permission may review warnings for any account.

Authorization

storyden-session<token>

In: cookie

Path Parameters

account_id*string

Account ID.

Formatxid

Response Body

application/json

application/json

curl -X GET "https://example.com/accounts/string/warnings"
{  "warnings": [    {      "id": "string",      "issued_at": "2019-08-24T14:15:22Z",      "reason": "string",      "issued_by": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      }    }  ],  "total": 0}